org.apache.sling.fileoptim.impl

## Class FileOptimizerEventHandler

- java.lang.Object
- - org.apache.sling.fileoptim.impl.FileOptimizerEventHandler

All Implemented Interfaces:
  org.osgi.service.event.EventHandler

    public class FileOptimizerEventHandler
    extends Object
    implements org.osgi.service.event.EventHandler

An event filter to trigger to optimize images when they have been saved by compressing.

### Nested Class Summary

Nested Classes
`static interface` `FileOptimizerEventHandler.Config`

### Constructor Summary

Constructors
Constructor and Description
`FileOptimizerEventHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate(FileOptimizerEventHandler.Config config)`
`void` `deactivate()`
`void` `handleEvent(org.osgi.service.event.Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileOptimizerEventHandler

    public FileOptimizerEventHandler()

### Method Detail

#### activate

    public void activate(FileOptimizerEventHandler.Config config)
                  throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

#### deactivate

    public void deactivate()

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`